import { AxiosResponse } from "axios";
import { ServiceResponse } from "../interfaces/service-response";
import { PagedResult, Result } from "andculturecode-javascript-core";
export declare const ServiceUtils: {
    mapAxiosResponse: <TRecord>(recordType: new (props: Partial<TRecord>) => TRecord, axiosResponse: AxiosResponse<Result<TRecord>>) => ServiceResponse<TRecord>;
    mapPagedAxiosResponse: <TRecord_1>(recordType: new (props: Partial<TRecord_1>) => TRecord_1, axiosResponse: AxiosResponse<PagedResult<TRecord_1>>) => ServiceResponse<TRecord_1>;
};
